
Foreman - Bug #34573

Settings defined by DSL are not properly encrypted

03/08/2022 12:23 PM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Security   

Target version: 3.1.3   

Difficulty:  Fixed in Releases: 3.1.3, 3.2.0, 3.3.0

Triaged: No Found in Releases: 3.1.0

Bugzilla link: 2061773 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9139

  

Description

The values set for the DSL defined settings are not properly encrypted.

This is caused by the encrypted flag not being propagated for newly created settings and thus only new Foreman instances are

affected.

How to reproduce:

1. Remove contents of settings table

2. Start foreman

3. Set a encrypted setting e.g. root_pass to any value

4. See the value in database for this setting. (possibly also from console by `Setting.find_by(name:

'root_pass').read_attribute(:value)`

Related issues:

Related to Foreman - Feature #30862: Introduce SettingRegistry as a setting i... Closed

Associated revisions

Revision 3253d649 - 03/09/2022 02:26 PM - Ondřej Ezr

Fixes #34573 - encrypt DSL setting values

DSL setting values were not properly encrypted as the encryption flag has not been propagated into DB model.

History

#1 - 03/08/2022 12:24 PM - Ondřej Ezr

- Target version set to 3.1.3

- Found in Releases 3.1.3 added

#2 - 03/08/2022 12:25 PM - Ondřej Ezr

- Related to Feature #30862: Introduce SettingRegistry as a setting inventory added

#3 - 03/08/2022 01:01 PM - Ondřej Ezr

- Description updated

#4 - 03/08/2022 01:03 PM - Ondřej Ezr

- File 34573.patch added

#5 - 03/08/2022 02:09 PM - Ondřej Ezr

- Found in Releases 3.1.0 added

- Found in Releases deleted (3.1.3)

How to reproduce:
1. Remove contents of settings table

2. Start foreman

3. Set a encrypted setting e.g. root_pass to any value

4. See the value in database for this setting. (possibly also from console by `Setting.find_by(name: 'root_pass').read_attribute(:value)`

#6 - 03/08/2022 02:09 PM - Ondřej Ezr

- Description updated

#7 - 03/08/2022 02:19 PM - Ondřej Ezr

- Private changed from Yes to No

As discussed, this can be disclosed.

#8 - 03/08/2022 02:19 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Ezr

- Pull request https://github.com/theforeman/foreman/pull/9139 added

#9 - 03/08/2022 02:24 PM - Ondřej Ezr

- Bugzilla link set to 2061773

#10 - 03/09/2022 02:26 PM - The Foreman Bot

- Fixed in Releases 3.3.0 added

#11 - 03/09/2022 03:01 PM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|3253d64944bda6e683e124860889aa9490eefe2c.

#12 - 03/14/2022 10:42 PM - Ondřej Ezr

- Fixed in Releases 3.1.3, 3.2.0 added

Files

34573.patch 7.34 KB 03/08/2022 Ondřej Ezr
